// used in q3d13ctf2, q3d13ctf5, q3d13ctf7, q3d13ctf8

//
//				Skies
//

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

// skyparms work like this: 

textures/skies/zblacksky100
{
	qer_editorimage textures/test/blacksky100.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 100
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 0	90 90
	{
		map	gfx/colors/black.tga
	}
}

//
//				Light
//

textures/base_light/light_tube600
{
	qer_editorimage textures/q3d13ctf/light_tube.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/q3d13ctf/light_tube.tga
		rgbGen identity
	}

}

//
//				Bounce Pads
//

textures/sfx/bounce_killblock_b
{
	qer_editorimage textures/q3d13ctf/bounce_killblock.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/q3d13ctf/bounce_killblock.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/sfx/bounce_killblock_r
{
	qer_editorimage textures/q3d13ctf/bounce_killblock.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/q3d13ctf/bounce_killblock.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/sfx/bouncepad01block18b_b
{
	qer_editorimage textures/sfx/bouncepad01block18b.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bouncepad01block18b_r
{
	qer_editorimage textures/sfx/bouncepad01block18b.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/sfx/diamond2cjumppad_b
{
	qer_editorimage textures/sfx/bouncepad01_diamond2cTGA.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}
textures/sfx/diamond2cjumppad_r
{
	qer_editorimage textures/sfx/bouncepad01_diamond2cTGA.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/sfx/bounce_dirt_b
{
	qer_editorimage textures/sfx/bounce_dirt.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bounce_dirt.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}


textures/sfx/bounce_dirt_r
{
	qer_editorimage textures/sfx/bounce_dirt.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300

	
	{
		map textures/sfx/bounce_dirt.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/sfx/bounce_xq1metalbig_b
{
	qer_editorimage textures/sfx/bounce_xq1metalbig.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/sfx/bounce_xq1metalbig_r
{
	qer_editorimage textures/sfx/bounce_xq1metalbig.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 300
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/ctf/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/ctf/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

//
//				Windows
//

textures/ctf/window_blue
{
	qer_editorimage textures/q3d13ctf/ctf_bluewindow.tga
	qer_trans .5
	surfaceparm trans
	cull none
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/q3d13ctf/ctf_bluewindow.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/ctf/window_red
{
	qer_editorimage textures/q3d13ctf/ctf_redwindow.tga
	qer_trans .5
	surfaceparm trans
	cull none
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/q3d13ctf/ctf_redwindow.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}
textures/ctf/test2_glass
{
	qer_editorimage textures/ctf/test2.tga
	qer_trans .5
	surfaceparm trans
	cull none
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/ctf/test2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/ctf/test2_r_glass
{
	qer_editorimage textures/ctf/test2_r.tga
	qer_trans .5
	surfaceparm trans
	cull none
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		map textures/ctf/test2_r.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//
//				One-way Walls
//

textures/base_wall/metalfloor_wall_14trans
{
	qer_editorimage textures/base_wall/metalfloor_wall_14.tga
	qer_trans .7
	surfaceparm nonsolid
	surfaceparm trans
//	cull front

        {
		map textures/base_wall/metalfloor_wall_14.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }
	
        {
		map textures/sfx/hologirl.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                blendFunc GL_ONE GL_ONE
                rgbGen identity
                
	}
	{
		map textures/base_wall/metalfloor_wall_14.tga
                blendfunc blend
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc filter
	}

}
textures/gothic_block/blocks10trans
{
	qer_editorimage textures/q3d13ctf/blocks10.tga
	qer_trans .7
	surfaceparm nonsolid
	surfaceparm trans
//	cull front

        {
		map textures/q3d13ctf/blocks10.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }
	
	{
		map textures/q3d13ctf/blocks10.tga
                blendfunc blend
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc filter
	}

}
textures/gothic_block/blocks11trans
{
	qer_editorimage textures/q3d13ctf/blocks11.tga
	qer_trans .7
	surfaceparm nonsolid
	surfaceparm trans
//	cull front

        {
		map textures/q3d13ctf/blocks11.tga
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
        }
	
	{
		map textures/q3d13ctf/blocks11.tga
                blendfunc blend
		rgbGen identity
	}
        {
		map $lightmap
		blendFunc filter
	}

}

